Skip to main content
GET
/
swaps
List swaps
curl --request GET \
  --url https://api.remitflex.com/v1/swaps \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "swaps": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "from": "<string>",
        "to": "<string>",
        "amount": 123,
        "expectedAmount": "<string>",
        "receivedAmount": "<string>",
        "outputAmount": "<string>",
        "rate": 123,
        "feeBps": 123,
        "depositAddress": "<string>",
        "depositWallet": "<string>",
        "destinationAddress": "<string>",
        "swapTxSignature": "<string>",
        "payoutTxSignature": "<string>",
        "errorMessage": "<string>",
        "expiresAt": "2023-11-07T05:31:56Z",
        "completedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "expectedOutput": 123,
        "receivedOutput": 123
      }
    ],
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

API key created in the RemitFlex Dashboard (rmf_live_... or rmf_test_...). Key management endpoints require a dashboard JWT and are not part of this reference.

Response

200 - application/json

Swaps fetched

status
string
Example:

"success"

message
string
data
object